local readLog = CreateFrame("FRAME", "CombatReader");
local enterCombat = CreateFrame("FRAME", "EnterCombat");
local updateFrame = CreateFrame("FRAME");
showFrame = CreateFrame("ScrollFrame", "NameList");
enterCombat:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED");
readLog:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED");
DeadlySlackers_UpdateInterval = 1.0; -- How often the OnUpdate code will run (in seconds)
DeadlySlackers_LastUpdated = 2.0;

testTable = {"Lengers", "Xandot"}
showFrame:SetFrameStrata("BACKGROUND")
showFrame:SetWidth(64) -- Set these to whatever height/width is needed 
showFrame:SetHeight(0);


local bgTexture = showFrame:CreateTexture(nil,"BACKGROUND")
bgTexture:SetTexture(0.66, 0.66, 0.66, 0.5);
bgTexture:SetAllPoints(showFrame)
showFrame.texture = bgTexture
showFrame:SetMovable(true);
showFrame:EnableMouse(true);
showFrame:RegisterForDrag("LeftButton");
showFrame:SetScript("OnDragStart", showFrame.StartMoving);
showFrame:SetScript("OnDragStop", showFrame.StopMovingOrSizing);
showFrame:SetPoint("CENTER",0,0)
showFrame:Show()


local slackerFS = showFrame:CreateFontString(nil, "OVERLAY",  "GameFontNormalSmall");
slackerFS:SetPoint("TOPLEFT");



local function combatEnterFunction(self, event, ...)
groupTable = {}


for i = 1, 40 do groupTable[i] = UnitName("raid".. i) end

end
--[[
local function logReadFunction(self, event, ...)

if event == "COMBAT_LOG_EVENT_UNFILTERED" then

  local timestamp, combatEvent, combatBool, sourceGUID, sourceName, sourceFlags, destGUID, destName, destFlags = 
   ...; 
   local eventPrefix, eventSuffix = combatEvent:match("^(.-)_?([^_]*)$");
   if string.sub (sourceGUID, 1, 6) == "Player" then
  
  if eventSuffix == "DAMAGE" then
  

   local amount, overkill, school, resisted, blocked, absorbed, critical, glancing, crushing = 
    select(select("#", ...)-8, ...); 
	
	
   end
   
  end
 end
 

 end
 ]]--



-- Functions Section
function DeadlySlackers_OnUpdate(self, elapsed)

   	DeadlySlackers_LastUpdated = DeadlySlackers_LastUpdated + elapsed;
groupTargets = {}
groupSlackers = {}
  if (DeadlySlackers_LastUpdated > DeadlySlackers_UpdateInterval) then
	listString = ""
    noSlackTarget = UnitName("target");
	slackerFrameTable = {}
    for i = 1, 40 do groupTargets[i] = UnitName("raid".. i .."target");	end
	for i = 1, 40 do 
	role = UnitGroupRolesAssigned("raid".. i);
	if (groupTargets[i] ~= noSlackTarget and role == "DAMAGER") then groupSlackers[i] = groupTable[i]; end 
	if (groupSlackers[i] ~= nil) then
	table.insert(slackerFrameTable, 1, groupTable[i]);
	end
	end
	listString = table.concat(slackerFrameTable, "\n");
	slackerFS:SetText(listString);
	showFrame:SetHeight(slackerFS:GetStringHeight()) -- for your Texture
    DeadlySlackers_LastUpdated = 0;
  end
end

readLog:SetScript("OnEvent", logReadFunction);
enterCombat:SetScript("OnEvent", combatEnterFunction);
updateFrame:SetScript("OnUpdate", DeadlySlackers_OnUpdate);